POST /api/v3/accrual/{taskId}/delete

Permanently deletes all bills created by a specific accrual processing task

DeleteAccrualTaskV3 Permissions: AccrualSettings (Run)
Use this endpoint to remove accrual bills entirely after actual bills have been received. Bills that have already been exported to accounting systems will still be deleted. Use POST /accrual/{taskId}/void to void instead of deleting.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
taskId Unique numeric identifier of the accrual processing task whose bills should be deleted integer (int32) Required

Responses

204 No Content The request succeeded. No content is returned in the response body.